#### 7.10.6.23 ncrepEvaluate

Procedure from library `ncrat.lib` (see ncrat_lib).

Usage:
  matrix M = ncrepEvaluate(q);

Return:
  for q=(u, Q, v) calculate -u*Q^(-1)*v

Example:

    LIB "ncrat.lib";
    ncInit(list("x", "y", "z"));
    ncrat f = ncratFromString("x+y");
    ncrep q = ncrepGet(f);
    matrix A[2][2] = 1, 2, 3, 4;
    matrix B[2][2] = 5, 6, 7, 8;
    ncrep s = ncrepSubstitute(q, list(x, y), list(A, B));
    matrix M = ncrepEvaluate(s);
    print(M);
    ==> 6, 8,
    ==> 10,12

User manual for Singular version 4.4.1, 2025, generated by texi2html.